ScanopyScanopy
Daemons

Export Daemons to CSV

Export all Daemons matching the filter criteria to CSV format. Ignores pagination parameters (limit/offset) and exports all matching records.

GET
/api/v1/daemons/export/csv

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

network_id?|

Filter by network ID

group_by?|

Primary ordering field (used for grouping). Always sorts ASC to keep groups together.

order_by?|

Secondary ordering field (sorting within groups or standalone sort).

order_direction?|

Direction for order_by field (group_by always uses ASC).

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

Response Body

text/csv

curl -X GET "https://example.com/api/v1/daemons/export/csv"
"string"